(function(){
    'use strict'
    app.controller('Europe', [ '$scope', '$location', function($scope, $location){   
        $scope.style = {
            dasharray: 0,
            // dashoffset: 0
            fill: 'white',
        }
        
        setInterval(function(){
            if($scope.style.dasharray < 3000){
                $scope.style.dasharray += 50;
            }else {
                $scope.style.fill = 'white';
            }
            // $scope.style.dashoffset -= 0;
            $scope.$apply();

            return $scope.style;

        }, 100)
        $scope.showCountry = function(country){
            var x = String(country)
            $location.path($location.path() + '/' + x)
        }
     }])
})()